# BlisBranchStrategyBilevel Class Reference

This class implements maximum infeasibility branching. More...

`#include <BlisBranchStrategyBilevel.h>`

Inheritance diagram for BlisBranchStrategyBilevel:
[legend]
Collaboration diagram for BlisBranchStrategyBilevel:
[legend]

List of all members.

## Public Member Functions
| BlisBranchStrategyBilevel ()
| Bilevel Constructor.
| BlisBranchStrategyBilevel (BlisModel *model)
| Bilevel Constructor.
virtual | ~BlisBranchStrategyBilevel ()
| Destructor.
| BlisBranchStrategyBilevel (const BlisBranchStrategyBilevel &)
| Copy constructor.
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy.
virtual int | createCandBranchObjects (int numPassesLeft, double ub)
| Create a set of candidate branching objects.
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar.
## Private Member Functions
BlisBranchStrategyBilevel & | operator= (const BlisBranchStrategyBilevel &rhs)
| Illegal Assignment operator.

## Detailed Description

This class implements maximum infeasibility branching.

Definition at line 32 of file BlisBranchStrategyBilevel.h.

## Constructor & Destructor Documentation

BlisBranchStrategyBilevel::BlisBranchStrategyBilevel | ( |  | ) | `[inline]`

Bilevel Constructor.

Definition at line 42 of file BlisBranchStrategyBilevel.h.

BlisBranchStrategyBilevel::BlisBranchStrategyBilevel | ( | BlisModel * | model | ) | `[inline]`

Bilevel Constructor.

Definition at line 47 of file BlisBranchStrategyBilevel.h.

virtual BlisBranchStrategyBilevel::~BlisBranchStrategyBilevel | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 52 of file BlisBranchStrategyBilevel.h.

BlisBranchStrategyBilevel::BlisBranchStrategyBilevel | ( | const BlisBranchStrategyBilevel & |  | ) |

Copy constructor.

## Member Function Documentation

BlisBranchStrategyBilevel& BlisBranchStrategyBilevel::operator= | ( | const BlisBranchStrategyBilevel & | rhs | ) | `[private]`

Illegal Assignment operator.

Reimplemented from BcpsBranchStrategy.

virtual BcpsBranchStrategy* BlisBranchStrategyBilevel::clone | ( |  | ) | const`[inline, virtual]`

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 58 of file BlisBranchStrategyBilevel.h.

virtual int BlisBranchStrategyBilevel::createCandBranchObjects | ( | int | numPassesLeft,
|  | double | ub |
| ) |  |  | `[virtual]`

Create a set of candidate branching objects.

Reimplemented from BcpsBranchStrategy.

virtual int BlisBranchStrategyBilevel::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar |
| ) |  |  | `[virtual]`

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.94.1/Blis/src/BlisBranchStrategyBilevel.h